summaryrefslogtreecommitdiffstats
path: root/third_party/python/gyp/gyp
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/python/gyp/gyp')
-rwxr-xr-xthird_party/python/gyp/gyp13
1 files changed, 13 insertions, 0 deletions
diff --git a/third_party/python/gyp/gyp b/third_party/python/gyp/gyp
new file mode 100755
index 0000000000..1c6e2d2a61
--- /dev/null
+++ b/third_party/python/gyp/gyp
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Copyright 2013 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -eu
+base=$(dirname "$0")
+if type python3 >& /dev/null; then
+ python=python3
+else
+ python=python
+fi
+exec "${python}" "${base}/gyp_main.py" "$@"